Log in directly to cPanel for your hosting

Create a secure login link to cPanel. This is useful when you need to access your hosting services to manage files, databases, or email.

Web Hosting Services Hosting Accounts

Context

Used in the dashboard

/ /domains

Headers

Accept Example
Content-Type Example

Body

required
application/json
accountId string required · Example: 20000

Responses

200
data object required
data.link string required · Example: https://delta.hostup.se:2083/cpsess8200964771/login/?session=jpogc%3a5GbmuAiF39f3hOjR%3...
data.success boolean required · Example: true

True for successful responses.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/cpanel-sso
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/cpanel-sso" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "accountId": "20000"
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "link": "https://delta.hostup.se:2083/cpsess8200964771/login/?session=jpogc%3a5GbmuAiF39f3hOjR%3acreate_user_session%2ccd128c42cbb469c33d21095ccd7facc3"
  }
}
Request Body Example 1
{
  "accountId": "20000"
}